#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.8.1
visibility:           public
id:                   clash-ghc-1.8.1-GPTclhV0W4P1FbovxY4Ft
key:                  clash-ghc-1.8.1-GPTclhV0W4P1FbovxY4Ft
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  4da7a5ada9631989e873740785292519
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.Leak Clash.GHCi.UI Clash.GHCi.UI.Info
    Clash.GHCi.UI.Monad Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Util Clash.GHCi.UI.Tags

import-dirs:          /usr/lib/ghc-9.2.8/site-local/clash-ghc-1.8.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/clash-ghc-1.8.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/clash-ghc
hs-libraries:         HSclash-ghc-1.8.1-GPTclhV0W4P1FbovxY4Ft
depends:
    Cabal-3.6.3.0 array-0.5.4.0 base-4.16.4.0 bytestring-0.11.4.0
    clash-lib-1.8.1-3HvBC6zpxEeDYFDaWED0fZ
    clash-prelude-1.8.1-8sRQrI5I0l5LOTCaq7sI7W
    concurrent-supply-0.1.8-6dMjmgcsRWIKg6txyl3JWq containers-0.6.5.1
    data-binary-ieee754-0.4.4-5RBO9sqtqwKK43ihLnlB61 deepseq-1.4.6.1
    directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.16-5bHvI5vDJon4dYLXmPT4nO filepath-1.4.2.2 ghc-9.2.8
    ghc-bignum-1.2 ghc-boot-9.2.8 ghc-prim-0.8.0
    ghc-typelits-extra-0.4.4-KMuQCHTBI4l80ptCAeLbT4
    ghc-typelits-knownnat-0.7.8-4i23brZuG1FDvAK2kArgdq
    ghc-typelits-natnormalise-0.7.8-BFp2DuD8i6R1sP3Rfb5yu5 ghci-9.2.8
    hashable-1.4.4.0-FBBN0pDZ0iK3ZcMpqjlzBP haskeline-0.8.2
    lens-5.2.3-JZlTl7ln1H75pA3WhO3fZ6 mtl-2.2.2
    primitive-0.7.4.0-C4yOBVKL6XPC2Ks0coDOhc process-1.6.16.0
    reflection-2.1.8-5Tk8S1NBTAv4OKV1xaPuMK
    split-0.2.5-KShmLoYQexkE0ELIjpAHSF
    string-interpolate-0.3.4.0-E2mVXGmParwGKZNIH0hxt6
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 uniplate-1.6.13-E2qQnXIs8qIAl5lt6Zgkm1
    unix-2.7.2.2 unordered-containers-0.2.20-synCBDLh0NACk48p5Re76
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    vector-0.13.1.0-5Ks1FSmymfI2i781M8kBvn

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

